{**********************************************************************
      COM- TrComPort.dll
 $Author: trainer $
 $Revision: 1.2 $
 $Version: NONE $
 $Copyright    1991-2003 trainer  ALL RIGHTS RESERVED. $
 $Date: 24  2003 . 22:20:42 $
 **********************************************************************}
unit TrComPort;

interface

uses TrComPublicDefs;

const
   TrCOMPORT_MAX_PORT = 8;
   TrComPortLib       = 'TrComPort.dll';

{---------------------------------------------------------------------------
  COM-
  portnum -   ( 0..7 )
       }
function TrComPortOpen(portnum: Integer): Integer; stdcall;
   external TrComPortLib name 'TrComPortOpen';
{---------------------------------------------------------------------------
  
  portid -  (   TrComPortOpen ) }
function TrComPortClose(portid: Integer): Integer; stdcall;
   external TrComPortLib name 'TrComPortClose';
{---------------------------------------------------------------------------
   
  portid     -  (   TrComPortOpen )
  parameters - ,    }
function TrComPortSetConfig(portid: Integer; var parameters: TrComPortParameters): Integer; stdcall;
   external TrComPortLib name 'TrComPortSetConfig';
{---------------------------------------------------------------------------
   
  portid     -  (   TrComPortOpen )
  parameters - ,    }
function TrComPortGetConfig(portid: Integer; var parameters: TrComPortParameters): Integer; stdcall;
   external TrComPortLib name 'TrComPortGetConfig';
{---------------------------------------------------------------------------
    
  portid  -  (   TrComPortOpen )
  timeout - -  ( -1 -     )
      }
function TrComPortReadByte(portid: Integer; timeout: LongInt = -1): Integer; stdcall;
   external TrComPortLib name 'TrComPortReadByte';
{---------------------------------------------------------------------------
     
  portid  -  (   TrComPortOpen )
  buffer  -  
  length  -  
  timeout - -  ( -1 -     ) }
function TrComPortReadArray(portid: Integer; var buffer; length: LongWord; timeout: LongInt = -1): Integer; stdcall;
   external TrComPortLib name 'TrComPortReadArray';
{---------------------------------------------------------------------------
    
  portid  -  (   TrComPortOpen )
  value   -  
  timeout - -  ( -1 -     ) }
function TrComPortWriteByte(portid: Integer; value: Byte; timeout: LongInt = -1): Integer; stdcall;
   external TrComPortLib name 'TrComPortWriteByte';
{---------------------------------------------------------------------------
     
  portid  -  (   TrComPortOpen )
  buffer  -  
  length  -  
  timeout - -  ( -1 -     ) }
function TrComPortWriteArray(portid: Integer; var buffer; length: LongWord; timeout: LongInt = -1): Integer; stdcall;
   external TrComPortLib name 'TrComPortWriteArray';
{---------------------------------------------------------------------------
          
  portid        -  (   TrComPortOpen )
  write_buffer  -   
  write_length  -   
  read_buffer   -   
  read_length   -   
  timeout       - -  /( -1 -     ) }
function TrComPortWriteAndRead(portid: Integer; var write_buffer; write_length: LongWord; var read_buffer; read_length: LongWord; timeout: LongInt = -1): Integer; stdcall;
   external TrComPortLib name 'TrComPortWriteAndRead';
{---------------------------------------------------------------------------
  (    )
  portid  -  (   TrComPortOpen ) }
function TrComPortBreak(portid: Integer): Integer; stdcall;
   external TrComPortLib name 'TrComPortBreak';
{---------------------------------------------------------------------------
   
  portid  -  (   TrComPortOpen )
  action  -   }
function TrComPortPurge(portid: Integer; action: LongWord): Integer; stdcall;
   external TrComPortLib name 'TrComPortPurge';
{---------------------------------------------------------------------------
    
  portid  -  (   TrComPortOpen )
  value   -     }
function TrComPortSetControl(portid: Integer; action: LongWord): Integer; stdcall;
   external TrComPortLib name 'TrComPortSetControl';
{---------------------------------------------------------------------------
    
  portid  -  (   TrComPortOpen )
  value   -     }
function TrComPortGetControl(portid: Integer; var value: LongWord): Integer; stdcall;
   external TrComPortLib name 'TrComPortGetControl';
{---------------------------------------------------------------------------
          
  portid       -  (   TrComPortOpen )
  input_queue  -       
                ( nil,     )
  output_queue -       
                ( nil,     ) }
function TrComPortGetQueue(portid: Integer; input_queue: PLongWord; output_queue: PLongWord): Integer; stdcall;
   external TrComPortLib name 'TrComPortGetQueue';
{---------------------------------------------------------------------------}

implementation

end.


